Goal Reached Thanks to every supporter — we hit 100%!

Goal: 1000 CNY · Raised: 1359 CNY

100%

CVE-2022-31800— Insufficient Verification of Data Vulnerability in PHOENIX CONTACT classic line industrial controllers

Quick assessment

Affected
PHOENIX CONTACT ILC 1x0
Exploitation
No confirmed in-the-wild exploitation; assess based on exposure
Recommended action
Check the vendor advisory and references for a fixed version. If immediate upgrade is impossible, restrict exposure and increase monitoring.

Phoenix Contact ProConOS/ProConOS eCLR是德国Phoenix Contact公司的一系列嵌入式自动化设备。 Phoenix Contact 多款产品存在数据伪造问题漏洞,未经身份验证的远程攻击者可以将恶意逻辑上传到基于 ProConOS/ProConOS eCLR 的设备,以获得对设备的完全控制权。

CVSS 9.8 · Critical EPSS 1.57% · P75

Possible ATT&CK Techniques 1 AI

T1195.002 · Compromise Software Supply Chain

Affected Version Matrix 17

VendorProduct Version RangeStatus
PHOENIX CONTACT AXC 1050 All Versions affected
PHOENIX CONTACT AXC 1050 XC All Versions affected
PHOENIX CONTACT AXC 3050 All Versions affected
PHOENIX CONTACT FC 350 PCI ETH All Versions affected
PHOENIX CONTACT ILC 1x0 All Versions affected
PHOENIX CONTACT ILC 1x1 All Versions affected
PHOENIX CONTACT ILC 1x1 GSM/GPRS All Versions affected
PHOENIX CONTACT ILC 3xx All Versions affected
PHOENIX CONTACT PC WORX RT BASIC All Versions affected
PHOENIX CONTACT PC WORX SRT All Versions affected
PHOENIX CONTACT RFC 430 ETH-IB All Versions affected
PHOENIX CONTACT RFC 450 ETH-IB All Versions affected
PHOENIX CONTACT RFC 460R PN 3TX All Versions affected
PHOENIX CONTACT RFC 460R PN 3TX-S All Versions affected
PHOENIX CONTACT RFC 470 PN 3TX All Versions affected
PHOENIX CONTACT RFC 470S PN 3TX All Versions affected
PHOENIX CONTACT RFC 480S PN 4TX All Versions affected
Get alerts for future matching vulnerabilities Log in to subscribe

I. Basic Information for CVE-2022-31800

Vulnerability Information

Have questions about the vulnerability? See if Shenlong's analysis helps!
View Shenlong Deep Dive ↗

Although we use advanced large model technology, its output may still contain inaccurate or outdated information.Shenlong tries to ensure data accuracy, but please verify and judge based on the actual situation.

Vulnerability Title
Insufficient Verification of Data Vulnerability in PHOENIX CONTACT classic line industrial controllers
Source: CVE Program / CVE List V5
Vulnerability Description
An unauthenticated, remote attacker could upload malicious logic to devices based on ProConOS/ProConOS eCLR in order to gain full control over the device.
Source: CVE Program / CVE List V5
CVSS Information
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Source: CVE Program / CVE List V5
Vulnerability Type
对数据真实性的验证不充分
Source: CVE Program / CVE List V5
Vulnerability Title
多款Phoenix Contact产品数据伪造问题漏洞
Source: CNNVD (China National Vulnerability Database)
Vulnerability Description
Phoenix Contact ProConOS/ProConOS eCLR是德国Phoenix Contact公司的一系列嵌入式自动化设备。 Phoenix Contact 多款产品存在数据伪造问题漏洞,未经身份验证的远程攻击者可以将恶意逻辑上传到基于 ProConOS/ProConOS eCLR 的设备,以获得对设备的完全控制权。
Source: CNNVD (China National Vulnerability Database)
CVSS Information
N/A
Source: CNNVD (China National Vulnerability Database)
Vulnerability Type
N/A
Source: CNNVD (China National Vulnerability Database)

Affected Products

Vendor Product Affected Versions CPE Subscribe
PHOENIX CONTACT ILC 1x0 All Versions -
PHOENIX CONTACT ILC 1x1 All Versions -
PHOENIX CONTACT ILC 1x1 GSM/GPRS All Versions -
PHOENIX CONTACT ILC 3xx All Versions -
PHOENIX CONTACT AXC 1050 All Versions -
PHOENIX CONTACT AXC 1050 XC All Versions -
PHOENIX CONTACT AXC 3050 All Versions -
PHOENIX CONTACT RFC 480S PN 4TX All Versions -
PHOENIX CONTACT RFC 470 PN 3TX All Versions -
PHOENIX CONTACT RFC 470S PN 3TX All Versions -
PHOENIX CONTACT RFC 460R PN 3TX All Versions -
PHOENIX CONTACT RFC 460R PN 3TX-S All Versions -
PHOENIX CONTACT RFC 430 ETH-IB All Versions -
PHOENIX CONTACT RFC 450 ETH-IB All Versions -
PHOENIX CONTACT PC WORX SRT All Versions -
PHOENIX CONTACT PC WORX RT BASIC All Versions -
PHOENIX CONTACT FC 350 PCI ETH All Versions -

II. Public POCs for CVE-2022-31800

# POC Description Source Link Shenlong Link
AI-Generated POC Premium

No public POC found.

Login to generate AI POC

III. Intelligence Information for CVE-2022-31800

请登录查看更多情报信息。

Other References for CVE-2022-31800 (1)

IV. Related Vulnerabilities

V. Comments for CVE-2022-31800

No comments yet


Leave a comment